Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1398317

Description of problem:

When we deploy a new vm on VMWare from Satellite v 6 with Network Based installation mode, then the vm always boot from the

network. As the boot sequence set is network, disk.

The customer do not have DHCP/PXE in the network so they are using host based iso to install a vm. Once the installation is

completed after reboot every time the vm search for DHCP and it fails. This is causing delay in booting vm.

This issue is not seen if we build a vm with "Image Based" provisioning option from satellite v 6.

Version-Release number of selected component (if applicable):

Satellite v 6.2

How reproducible:

Always

Steps to Reproduce:

1. Build a system from satellite v 6 with Network Based installation mode.

2. Go to BIOS for the vm and try to change the boot sequence.

3.

Actual results:

It is not allowed to change the boot sequence.

Expected results:

As the customer is installing ISO to complete the installation there should be an option to change the boot order for the vms.

Additional info:

Related issues:

Related to Foreman - Bug #5510: Set network as first boot device for VMs in V... Closed 04/30/2014

Related to Foreman - Feature #4438: Boot order of libvirt machines New 02/24/2014

Associated revisions

Revision c90ecc7e - 01/15/2020 11:33 AM - Ondřej Ezr

Fixes #26010 - boot_order by orderable select

History

#1 - 02/07/2019 01:22 PM - Marek Hulán

- Related to Bug #5510: Set network as first boot device for VMs in VMware compute resources added
#2 - 02/07/2019 01:46 PM - Marek Hulán

- Subject changed from For the vms built by Satellite 6 using "Network Based" installation mode on VMWare, unable to change the boot sequence via

BIOS

 to For the vms built by Satellite 6 using "Network Based" installation mode on VMWare, unable to change the boot sequence via BIOS

Klaas reminded me there was already one attempt to make bootorder configurable at https://github.com/theforeman/foreman/pull/4400, there was a

discussion about whether we want to include also ability to skip setting bootorder that makes it changeable later, but I think we don't need it in fact.

We should just have the bootorder customizable in provisioning form (including compute profile) and potentially ignore it for image based provisioning.

#3 - 03/23/2019 12:20 AM - Ondřej Ezr

I believe we are onto a change of boot AFTER build, that means changing the order on updating the vmware machine.

That is not unfortunately possible as of now in fog-vshere. So it needs to be enabled there first.

Leting user change the boot_order right on creation could lead to issues with provisioning.

Second problem is that we do not have jquery-ui dependency and we do not have drag and drop in patternfly yet.

#4 - 05/15/2019 10:32 PM - Ondřej Ezr

- Related to Feature #4438: Boot order of libvirt machines added

#5 - 05/16/2019 12:17 PM - The Foreman Bot

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/6768 added

#6 - 11/20/2019 03:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#7 - 01/13/2020 08:35 AM - Tomer Brisker

- Subject changed from For the vms built by Satellite 6 using "Network Based" installation mode on VMWare, unable to change the boot sequence via

BIOS to For the vms built using "Network Based" installation mode on VMWare, unable to change the boot sequence via BIOS

#8 - 01/15/2020 11:33 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#9 - 01/15/2020 12:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset c90ecc7e90938da55ef1f05b426106cc7368f87b.
